
QGIS Application - Bug report #18016

Layer sometimes appears modified without editing data

2018-02-01 10:21 AM - Daan Goedkoop

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Attribute table

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25912

Description

Sometimes when you click a layer to enable editing, it appears as modified, even without editing any data.

Steps to reproduce:

1. add the attached test layer to a new project

2. open the attribute table

3. enable editing

4. disable editing (the question is asked to save the modifications, even though nothing has been modified)

Possible solution: https://github.com/qgis/QGIS/pull/6191

Related issues:

Related to QGIS Application - Bug report # 18017: Bookkeeping problem in attr... Closed 2018-02-01

History

#1 - 2018-02-01 10:32 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2018-02-02 08:17 AM - Alessandro Pasotti

- Related to Bug report #18017: Bookkeeping problem in attribute table added

#3 - 2018-02-02 08:17 AM - Alessandro Pasotti

- Status changed from Open to In Progress

See notes in #18017

#4 - 2018-02-06 07:00 PM - Alessandro Pasotti

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed

Files

test.gpkg 116 KB 2018-02-01 Daan Goedkoop
